`timescale 1 ns/100 ps
// Version: 9.0 SP2 9.0.3.3


module Counter2(
       Aclr,
       Clock,
       Q
    );
input  Aclr;
input  Clock;
output [2:0] Q;

    wire NU_0_1, NU_0_1_2, INV_1_Y, INV_0_Y, XOR2_0_Y, AND2_0_Y;
    
    AND2 AND2_0 (.A(Q[0]), .B(Q[1]), .Y(AND2_0_Y));
    DFN1E1C0 DFN1E1C0_NU_1 (.D(INV_0_Y), .CLK(Clock), .CLR(Aclr), .E(
        Q[0]), .Q(Q[1]));
    INV INV_0 (.A(Q[1]), .Y(INV_0_Y));
    AND2 U_AND2_0_1 (.A(Q[0]), .B(Q[1]), .Y(NU_0_1));
    DFN1C0 DFN1C0_NU_2 (.D(XOR2_0_Y), .CLK(Clock), .CLR(Aclr), .Q(Q[2])
        );
    XOR2 XOR2_0 (.A(Q[2]), .B(AND2_0_Y), .Y(XOR2_0_Y));
    DFN1C0 DFN1C0_NU_0 (.D(INV_1_Y), .CLK(Clock), .CLR(Aclr), .Q(Q[0]));
    INV INV_1 (.A(Q[0]), .Y(INV_1_Y));
    AND3 U_AND3_0_1_2 (.A(Q[0]), .B(Q[1]), .C(Q[2]), .Y(NU_0_1_2));
    
endmodule
