quietly set ACTELLIBNAME igloo
quietly set PROJECT_DIR "C:/Actelprj/Libero_tutorial"

if {[file exists presynth/_info]} {
   echo "INFO: Simulation library presynth already exists"
} else {
   vlib presynth
}
vmap presynth presynth
vmap igloo "T:/captures/pc/9_0_3_~1/Designer/lib/modelsim/precompiled/vlog/igloo"

vlog -work presynth "${PROJECT_DIR}/smartgen/Counter2/Counter2.v"
vlog -work presynth "${PROJECT_DIR}/smartgen/CLKGEN/CLKGEN.v"
vlog -work presynth "${PROJECT_DIR}/smartgen/Counter1/Counter1.v"
vlog -work presynth "${PROJECT_DIR}/component/work/Top/Top.v"
vlog "+incdir+${PROJECT_DIR}/stimulus" -work presynth "${PROJECT_DIR}/stimulus/usr_testbench.v"

vsim -L igloo -L presynth  -t 1ps presynth.testbench
add wave /testbench/Top_0/*
run 200 ms
